package be.iminds.ilabt.jfed.experimenter_gui.slice.espec.view;

import be.iminds.ilabt.jfed.experiment.ExperimentController;
import be.iminds.ilabt.jfed.experimenter_gui.slice.espec.model.ESpecLogModel;
import javafx.scene.control.Tab;
import javafx.scene.layout.Pane;
import javafx.scene.layout.Priority;
import javafx.scene.layout.VBox;
import org.controlsfx.glyphfont.FontAwesome;
import org.controlsfx.glyphfont.GlyphFont;
import org.controlsfx.glyphfont.GlyphFontRegistry;

public class ESpecTab extends Tab {
    private static final GlyphFont fontAwesome = GlyphFontRegistry.font("FontAwesome");
    private final ExperimentController experimentController;
    private final ESpecLogModel eSpecLogModel;

    public ESpecTab(ExperimentController experimentController, ESpecLogModel eSpecLogModel) {
        this.experimentController = experimentController;
        this.eSpecLogModel = eSpecLogModel;
        setText("ESpec");
        setGraphic(fontAwesome.create(FontAwesome.Glyph.FLASK));
        setClosable(false);

        ESpecStateList eSpecStateList = new ESpecStateList(eSpecLogModel);
        ESpecLogList eSpecLogList = new ESpecLogList(experimentController, eSpecLogModel);

        Pane content = new VBox();
        content.getChildren().addAll(eSpecStateList, eSpecLogList);
        setContent(content);

        VBox.setVgrow(eSpecStateList, Priority.NEVER);
        VBox.setVgrow(eSpecLogList, Priority.ALWAYS);
    }
}
